<?php

class ClickController extends Controller
{
	public function actionGo($refid = FALSE, $good_id = FALSE, $page = 'a', $channel = 'default')
	{
	   
        $apart = $_SERVER['QUERY_STRING']; // GET
        if (!empty ($apart)) $apart = '?' . $apart;
        
		//    -   
		if ((!preg_match('/^[a-z0-9_]{1,100}$/',$refid)) OR (!preg_match('/^[a-z0-9_]{1,100}$/',$good_id)))
		{
			$this->redirect (array('/'));
		}

		if ((!preg_match('/^[a-z0-9_]{1,100}$/',$page)) OR (!preg_match('/^[a-z0-9A-Z_\.\-]{1,100}$/',$channel)))
		{
			$this->redirect (array('/'));
		}

		//  
		$this->_click ($good_id, $refid, $channel, $page);

		//   

		//    
		if (Settings::item ('affLast')!=1) {

			$cookie = Y::cookieGet ('ob_affreg');
			if (empty($cookie)) {
				// 
				Y::cookieSet ('ob_affreg',$refid);
			}

			$cookie = Y::cookieGet ('ob_ref_'.$good_id);
			if (empty($cookie)) {
				// 
				Y::cookieSet ('ob_ref_'.$good_id,$refid);
			}

		} else {

			// 
			Y::cookieSet ('ob_affreg',$refid);

			//  
			Y::cookieSet ('ob_ref_'.$good_id,$refid);

		}
                
                Y::cookieSet ('ob_channel',$channel); //

		//   

		$url = array ('/'); //  -  

		//  
		if ($page == 'a') {

			$plink = Settings::item ('affLink');

			if (strlen ($plink)>7) {
				$this->redirect ($plink . $apart);
			} else {
				$this->redirect (array('/aff/'));
			}

		}
                
		if ($page == 'order') {
                    $this->redirect (array('/ord/'.$good_id));
		}

		$db = Yii::app()->db;

		// page = 'p' -     
		if ($page == 'p') {

			$command = $db->createCommand ();
			$res = $command->select ('*')->
						from ('{{good}}')->
						where ('id=:id',array('id' => $good_id))->queryRow();

			$plink = $res['affLink'];

			if (strlen ($plink)>7) {
				$this->redirect ($plink . $apart);
			}
		}

		//  plink-
		$command = $db->createCommand ();
			$res = $command->select ('*')->
						from ('{{plink}}')->
						where ('id=:id',array('id' => $page))->queryRow();

		$plink = $res['plink'];

		if (strlen ($plink)>7) {
			$this->redirect ($plink . $apart);
		}

		$this->redirect ($url);
	}

	//   
	private function _click ($good_id , $partner_id, $channel, $page)
        {
            if ($page == 'a') $good_id = 'a';
            
            //    ID , ,    
            $r = S::model ()->find (array (
                'condition' => 'p_id = :pid AND sb = :sb AND date = :date AND good_id = :gid',
                'params' => array (
                    ':pid' => $partner_id,
                    ':sb' => $channel,
                    ':gid' => $good_id,
                    ':date' => date ('Ymd'),
                ),
            ));
            
            //  -     
            if ($r) {
                $r->clicks++;
                $r->save (false);
            } else {
                $s = new S ();
                $s->id = false;
                $s->isNewRecord = true;
                $s->date = date ('Ymd');
                $s->p_id = $partner_id;
                $s->sb = $channel;
                $s->good_id = $good_id;
                $s->clicks = 1;
                $s->save (false);
            }
            return true;

	}

	//   
	public function actionShorten ($id)
	{
		if (!is_numeric($id)) {
			$this->redirect (array('/'));
		}

		// 
		$db = Yii::app()->db;
		$command = $db->createCommand ();
		$res = $command->select ('*')->
						from ('{{shorten}}')->
						where ('id=:id',array('id' => $id))->queryRow();
		
		if (empty($res)) {
			$this->redirect (array('/'));
		}

		$this->redirect ($res['url']);
	}

}